import request, { CoreOptions } from "request";
import { RequestManager } from "./request-manager";
interface WardenRappedCoreOptions extends CoreOptions {
    name?: string;
    url: string;
    method: any;
    headers: {
        [key: string]: string;
    };
    callback: (err: Error, data: any) => void;
}
declare class WardenWrappedRequest {
    static requestManager: RequestManager;
    constructor(configuration: WardenRappedCoreOptions);
}
declare class RequestWrapper {
    request: request.RequestAPI<request.Request, request.CoreOptions, request.RequiredUriUrl> | request.DefaultUriUrlRequestApi<request.Request, request.CoreOptions, request.OptionalUriUrl>;
    constructor();
    config(options: CoreOptions): void;
    wrap(requestManager: RequestManager): void;
}
export { RequestWrapper, WardenWrappedRequest };
